import com.ibm.bsf.*;   // BSF support
import java.io.*;       // exception handling

/** Test Java program which demonstrates how easy it is to invoke Rexx via BSF.
 * @author   Rony G. Flatscher, 2001-04-27
 */
public class TestMultipleExec {

  /** Running an in-line defined Rexx script. */
  public static void main (String[] args) throws IOException
  {
    try
    {
        for (int j=0;j<3;j++) {
            BSFManager mgr  = new BSFManager ();
            System.out.println("BSFManager: "+mgr);

            for (int i=1;i<30;i++)
            {
                BSFEngine  rexx = mgr.loadScriptingEngine("rexx");
                String     rexxCode = "SAY '["+rexx+"]: Rexx was here! run # "+i+"'";

                          // invoke Rexx and retrieve its return value
                rexx.exec ("rexx", 0, 0, rexxCode);
            }
        }

    }
    catch (BSFException e)
    {
      e.printStackTrace();
    }
  }
}

